﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré par un outil.
//     Version du runtime :2.0.50727.8762
//
//     Les modifications apportées à ce fichier peuvent provoquer un comportement incorrect et seront perdues si
//     le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

using System;

[assembly: System.Runtime.Serialization.ContractNamespaceAttribute("http://www.fnac.com/iwebup", ClrNamespace = "www.fnac.com.iwebup")]

namespace www.fnac.com.iwebup
{
    using System.Runtime.Serialization;


    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "3.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name = "ResponseMessage", Namespace = "http://www.fnac.com/iwebup")]
    public partial class ResponseMessage : object, System.Runtime.Serialization.IExtensibleDataObject
    {

        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;

        private int ErrorCodeField;

        private int ErrorTypeField;

        private string DescriptionField;

        private System.Guid ActivityIdField;

        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
        {
            get
            {
                return this.extensionDataField;
            }
            set
            {
                this.extensionDataField = value;
            }
        }

        [System.Runtime.Serialization.DataMemberAttribute(IsRequired = true)]
        public int ErrorCode
        {
            get
            {
                return this.ErrorCodeField;
            }
            set
            {
                this.ErrorCodeField = value;
            }
        }

        [System.Runtime.Serialization.DataMemberAttribute(IsRequired = true)]
        public int ErrorType
        {
            get
            {
                return this.ErrorTypeField;
            }
            set
            {
                this.ErrorTypeField = value;
            }
        }

        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue = false, Order = 2)]
        public string Description
        {
            get
            {
                return this.DescriptionField;
            }
            set
            {
                this.DescriptionField = value;
            }
        }

        [System.Runtime.Serialization.DataMemberAttribute(IsRequired = true, Order = 3)]
        public System.Guid ActivityId
        {
            get
            {
                return this.ActivityIdField;
            }
            set
            {
                this.ActivityIdField = value;
            }
        }
    }
}


[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
[System.ServiceModel.ServiceContractAttribute(Namespace = "http://www.fnac.com/iwebup", ConfigurationName = "FnacDirect.OrderPipe.Base.Proxy.IMessageServiceSoap")]
public interface IMessageServiceSoap : IDisposable
{

    // CODEGEN : La génération du contrat de message depuis le nom d’élément inputMessage de l’espace de noms http://www.fnac.com/iwebup n’est pas marqué nillable
    [System.ServiceModel.OperationContractAttribute(Action = "http://www.fnac.com/iwebup/ReceiveFromWeb", ReplyAction = "*")]
    ReceiveFromWebResponse ReceiveFromWeb(ReceiveFromWebRequest request);
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
[System.ServiceModel.MessageContractAttribute(IsWrapped = false)]
public partial class ReceiveFromWebRequest
{

    [System.ServiceModel.MessageBodyMemberAttribute(Name = "ReceiveFromWeb", Namespace = "http://www.fnac.com/iwebup", Order = 0)]
    public ReceiveFromWebRequestBody Body;

    public ReceiveFromWebRequest()
    {
    }

    public ReceiveFromWebRequest(ReceiveFromWebRequestBody Body)
    {
        this.Body = Body;
    }
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
[System.Runtime.Serialization.DataContractAttribute(Namespace = "http://www.fnac.com/iwebup")]
public partial class ReceiveFromWebRequestBody
{

    [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue = false, Order = 0)]
    public string inputMessage;

    public ReceiveFromWebRequestBody()
    {
    }

    public ReceiveFromWebRequestBody(string inputMessage)
    {
        this.inputMessage = inputMessage;
    }
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
[System.ServiceModel.MessageContractAttribute(IsWrapped = false)]
public partial class ReceiveFromWebResponse
{

    [System.ServiceModel.MessageBodyMemberAttribute(Name = "ReceiveFromWebResponse", Namespace = "http://www.fnac.com/iwebup", Order = 0)]
    public ReceiveFromWebResponseBody Body;

    public ReceiveFromWebResponse()
    {
    }

    public ReceiveFromWebResponse(ReceiveFromWebResponseBody Body)
    {
        this.Body = Body;
    }
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
[System.Runtime.Serialization.DataContractAttribute(Namespace = "http://www.fnac.com/iwebup")]
public partial class ReceiveFromWebResponseBody
{

    [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue = false, Order = 0)]
    public www.fnac.com.iwebup.ResponseMessage ReceiveFromWebResult;

    public ReceiveFromWebResponseBody()
    {
    }

    public ReceiveFromWebResponseBody(www.fnac.com.iwebup.ResponseMessage ReceiveFromWebResult)
    {
        this.ReceiveFromWebResult = ReceiveFromWebResult;
    }
}

[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
public interface MessageServiceSoapChannel : IMessageServiceSoap, System.ServiceModel.IClientChannel
{
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
public partial class MessageServiceSoapClient : System.ServiceModel.ClientBase<IMessageServiceSoap>, IMessageServiceSoap
{

    public MessageServiceSoapClient()
    {
    }

    public MessageServiceSoapClient(string endpointConfigurationName) :
            base(endpointConfigurationName)
    {
    }

    public MessageServiceSoapClient(string endpointConfigurationName, string remoteAddress) :
            base(endpointConfigurationName, remoteAddress)
    {
    }

    public MessageServiceSoapClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) :
            base(endpointConfigurationName, remoteAddress)
    {
    }

    public MessageServiceSoapClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) :
            base(binding, remoteAddress)
    {
    }

    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    ReceiveFromWebResponse IMessageServiceSoap.ReceiveFromWeb(ReceiveFromWebRequest request)
    {
        return base.Channel.ReceiveFromWeb(request);
    }

    public www.fnac.com.iwebup.ResponseMessage ReceiveFromWeb(string inputMessage)
    {
        ReceiveFromWebRequest inValue = new ReceiveFromWebRequest();
        inValue.Body = new ReceiveFromWebRequestBody();
        inValue.Body.inputMessage = inputMessage;
        ReceiveFromWebResponse retVal = ((IMessageServiceSoap)(this)).ReceiveFromWeb(inValue);
        return retVal.Body.ReceiveFromWebResult;
    }
}

[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
[System.ServiceModel.ServiceContractAttribute(Namespace = "http://www.fnac.com/iwebup", ConfigurationName = "MessageServiceHttpGet")]
public interface MessageServiceHttpGet
{

    // CODEGEN : La génération du contrat de message depuis l’opération ReceiveFromWeb n’est ni RPC, ni encapsulée dans un document.
    [System.ServiceModel.OperationContractAttribute(Action = "http://www.fnac.com/iwebup/MessageServiceHttpGet/ReceiveFromWebRequest", ReplyAction = "http://www.fnac.com/iwebup/MessageServiceHttpGet/ReceiveFromWebResponse")]
    ReceiveFromWebResponse1 ReceiveFromWeb(ReceiveFromWebRequest1 request);
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
[System.ServiceModel.MessageContractAttribute(IsWrapped = false)]
public partial class ReceiveFromWebRequest1
{

    [System.ServiceModel.MessageBodyMemberAttribute(Namespace = "", Order = 0)]
    public string inputMessage;

    public ReceiveFromWebRequest1()
    {
    }

    public ReceiveFromWebRequest1(string inputMessage)
    {
        this.inputMessage = inputMessage;
    }
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
[System.ServiceModel.MessageContractAttribute(IsWrapped = false)]
public partial class ReceiveFromWebResponse1
{

    [System.ServiceModel.MessageBodyMemberAttribute(Namespace = "http://www.fnac.com/iwebup", Order = 0)]
    public www.fnac.com.iwebup.ResponseMessage ResponseMessage;

    public ReceiveFromWebResponse1()
    {
    }

    public ReceiveFromWebResponse1(www.fnac.com.iwebup.ResponseMessage ResponseMessage)
    {
        this.ResponseMessage = ResponseMessage;
    }
}

[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
public interface MessageServiceHttpGetChannel : MessageServiceHttpGet, System.ServiceModel.IClientChannel
{
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
public partial class MessageServiceHttpGetClient : System.ServiceModel.ClientBase<MessageServiceHttpGet>, MessageServiceHttpGet
{

    public MessageServiceHttpGetClient()
    {
    }

    public MessageServiceHttpGetClient(string endpointConfigurationName) :
            base(endpointConfigurationName)
    {
    }

    public MessageServiceHttpGetClient(string endpointConfigurationName, string remoteAddress) :
            base(endpointConfigurationName, remoteAddress)
    {
    }

    public MessageServiceHttpGetClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) :
            base(endpointConfigurationName, remoteAddress)
    {
    }

    public MessageServiceHttpGetClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) :
            base(binding, remoteAddress)
    {
    }

    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    ReceiveFromWebResponse1 MessageServiceHttpGet.ReceiveFromWeb(ReceiveFromWebRequest1 request)
    {
        return base.Channel.ReceiveFromWeb(request);
    }

    public www.fnac.com.iwebup.ResponseMessage ReceiveFromWeb(string inputMessage)
    {
        ReceiveFromWebRequest1 inValue = new ReceiveFromWebRequest1();
        inValue.inputMessage = inputMessage;
        ReceiveFromWebResponse1 retVal = ((MessageServiceHttpGet)(this)).ReceiveFromWeb(inValue);
        return retVal.ResponseMessage;
    }
}

[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
[System.ServiceModel.ServiceContractAttribute(Namespace = "http://www.fnac.com/iwebup", ConfigurationName = "MessageServiceHttpPost")]
public interface MessageServiceHttpPost
{

    // CODEGEN : La génération du contrat de message depuis l’opération ReceiveFromWeb n’est ni RPC, ni encapsulée dans un document.
    [System.ServiceModel.OperationContractAttribute(Action = "http://www.fnac.com/iwebup/MessageServiceHttpPost/ReceiveFromWebRequest", ReplyAction = "http://www.fnac.com/iwebup/MessageServiceHttpPost/ReceiveFromWebResponse")]
    ReceiveFromWebResponse2 ReceiveFromWeb(ReceiveFromWebRequest2 request);
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
[System.ServiceModel.MessageContractAttribute(IsWrapped = false)]
public partial class ReceiveFromWebRequest2
{

    [System.ServiceModel.MessageBodyMemberAttribute(Namespace = "", Order = 0)]
    public string inputMessage;

    public ReceiveFromWebRequest2()
    {
    }

    public ReceiveFromWebRequest2(string inputMessage)
    {
        this.inputMessage = inputMessage;
    }
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
[System.ServiceModel.MessageContractAttribute(IsWrapped = false)]
public partial class ReceiveFromWebResponse2
{

    [System.ServiceModel.MessageBodyMemberAttribute(Namespace = "http://www.fnac.com/iwebup", Order = 0)]
    public www.fnac.com.iwebup.ResponseMessage ResponseMessage;

    public ReceiveFromWebResponse2()
    {
    }

    public ReceiveFromWebResponse2(www.fnac.com.iwebup.ResponseMessage ResponseMessage)
    {
        this.ResponseMessage = ResponseMessage;
    }
}

[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
public interface MessageServiceHttpPostChannel : MessageServiceHttpPost, System.ServiceModel.IClientChannel
{
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
public partial class MessageServiceHttpPostClient : System.ServiceModel.ClientBase<MessageServiceHttpPost>, MessageServiceHttpPost
{

    public MessageServiceHttpPostClient()
    {
    }

    public MessageServiceHttpPostClient(string endpointConfigurationName) :
            base(endpointConfigurationName)
    {
    }

    public MessageServiceHttpPostClient(string endpointConfigurationName, string remoteAddress) :
            base(endpointConfigurationName, remoteAddress)
    {
    }

    public MessageServiceHttpPostClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) :
            base(endpointConfigurationName, remoteAddress)
    {
    }

    public MessageServiceHttpPostClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) :
            base(binding, remoteAddress)
    {
    }

    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    ReceiveFromWebResponse2 MessageServiceHttpPost.ReceiveFromWeb(ReceiveFromWebRequest2 request)
    {
        return base.Channel.ReceiveFromWeb(request);
    }

    public www.fnac.com.iwebup.ResponseMessage ReceiveFromWeb(string inputMessage)
    {
        ReceiveFromWebRequest2 inValue = new ReceiveFromWebRequest2();
        inValue.inputMessage = inputMessage;
        ReceiveFromWebResponse2 retVal = ((MessageServiceHttpPost)(this)).ReceiveFromWeb(inValue);
        return retVal.ResponseMessage;
    }
}
